<template>
  <div class="mobile-container">
    <van-sticky>
      <navBar @clickLeft="onClickLeft" :title="title"></navBar>
    </van-sticky>
    <div class="cell-group">
      <van-cell-group inset class="device-group">
        <div class="device-cell">
          <div class="device-name">
            <!-- <van-icon name="label" color="#1989fa" /> -->
            {{ deviceData.name }}
          </div>
          <div class="device-status">
            <van-tag type="success" v-if="deviceData.status == 1"
            >正常
            </van-tag
            >
            <van-tag type="warning" v-if="deviceData.status == 2"
            >故障
            </van-tag
            >
            <van-tag type="danger" v-if="deviceData.status == 3"
            >报警
            </van-tag
            >
          </div>
        </div>
        <div class="device-content">
          <p>
                        <span style="color: #333">所属区域：</span
                        >{{ deviceData.areaName }}
          </p>
          <p>
                        <span style="color: #333">产品名称：</span
                        >{{ deviceData.productName }}
          </p>
          <p>
                        <span style="color: #333">产品分类：</span
                        >{{ deviceData.address }}
          </p>
          <p>
                        <span style="color: #333">安装详细地址：</span
                        >{{ deviceData.address }}
          </p>
        </div>
      </van-cell-group>
    </div>

    <!-- <van-grid
  :column-num="2"
  :gutter="16"
  class="grid-container"
  v-if="hasData"
>
  <van-grid-item v-for="(item, index) in realtimeData" :key="index">
    <div class="realtime-title">{{ item.deviceName }}</div>
    <div v-if="item.value" class="realtime-value-content">
      <span class="realtime-value">{{ item.value }}</span>
      <span v-if="item.unit" class="realtime-unit">{{ item.unit }}</span>
    </div>
  </van-grid-item>
</van-grid> -->
    <div v-if="hasData" class="group-data">
            <span class="popup-label" slot="label">
                <span style="font-size: 14px" class="tab-label active"
                >实时数据列表</span
                >
            </span>
      <van-cell-group
        inset
        class="device-group"
        v-for="(item, index) in realtimeData"
        :key="index"
      >
        <div class="device-content">
          <p>
                        <span style="color: #333">设备名称：</span
                        >{{ item.deviceName }}
          </p>
          <p>
                        <span style="color: #333">采集时间：</span
                        >{{ item.collTime }}
          </p>
          <template v-if="device.productCode == 'bspqx'">
            <p>
                            <span style="color: #333">X轴角度(度)：</span
                            >{{ item.angleX }}
            </p>
            <p>
                            <span style="color: #333">X轴角度(度)：</span
                            >{{ item.angleY }}
            </p>
            <p>
                            <span style="color: #333">Z轴角度(度)：</span
                            >{{ item.angleZ }}
            </p>
            <p>
                            <span style="color: #333">设备电压(V)：</span
                            >{{ item.batteryVoltage }}
            </p>
          </template>
          <template v-if="device.productCode == 'jwwxyjc'">
            <p>
                            <span style="color: #333"
                            >气体浓度({{ deviceUnit_ }})：</span
                            >{{ item.sdata }}
            </p>
          </template>
          <template v-if="device.productCode == 'dwjs'">
            <p>
                            <span style="color: #333">水位高度(cm)：</span
                            >{{ item.sdata }}
            </p>
          </template>
          <template v-if="device.productCode == 'fbsjz'">
            <p>
                            <span style="color: #333"
                            >升降柱最近的一次动作：</span
                            >{{ item.lastActionName }}
            </p>
            <p>
                            <span style="color: #333">升降柱位置状态：</span
                            >{{ item.statusName }}
            </p>
          </template>
        </div>
      </van-cell-group>
    </div>
    <!-- <van-empty description="该设备暂无实时数据" v-else /> -->
  </div>
</template>

<script>
import dictUtils from '@/components/dict/DictSelectUtils.js'
import equipmentManage from '@/api/device/equipmentManage.js'
import req from '@/request.js'
import navBar from '../components/navBar.vue'

export default {
  name: 'RealtimeData',
  components: {
    navBar
  },
  data() {
    return {
      device: {},
      title: '实时数据',
      protal: window.context.portal,
      deviceId: '',
      deviceData: {},
      queryParam: {
        pageBean: {
          page: -1,
          pageSize: -1,
          showTotal: true
        },
        sorter: [
          {
            direction: 'DESC',
            property: 'createTime'
          }
        ]
      },
      loading: false,
      type: '',
      realtimeData: [],
      hazard: [
        // 危险源监测
        {
          value: '',
          name: '采集时间'
        },
        {
          value: '',
          name: '气体浓度'
        }
      ],
      barricade: [
        // 升降路障
        {
          value: '',
          name: '操作人'
        },
        {
          value: '',
          name: '动作标识'
        },
        {
          value: '',
          name: '动作状态'
        }
      ],
      water: [
        // 低洼积水监测
        {
          value: '',
          name: '采集时间'
        },
        {
          value: '',
          name: '水位高度'
        }
      ],
      signboaerd: [
        // 标志牌监测
        {
          value: '',
          name: '电池电量',
          unit: '%'
        },
        {
          value: '',
          name: '数据类型'
        },
        {
          value: '',
          name: 'X轴角度',
          unit: '°'
        },
        {
          value: '',
          name: 'Y轴角度',
          unit: '°'
        },
        {
          value: '',
          name: 'Z轴角度',
          unit: '°'
        },
        {
          value: '',
          name: '设备电压',
          unit: 'v'
        }
      ],
      dataTypeList: [],
      actionList: [],
      statusList: [],
      hasData: true,
      deviceUnit_: ''
    }
  },
  mounted() {
    this.dataTypeList = dictUtils.getDictItemsFromCache('sjlx')
    this.actionList = dictUtils.getDictItemsFromCache('dzbs')
    this.statusList = dictUtils.getDictItemsFromCache('cgzt')
    this.device = this.$route.query.item
    this.deviceId = this.$route.query.item.id
    this.getRealtimeData()
    this.getDevice(this.deviceId)
  },
  methods: {
    onClickLeft() {
      this.$router.go(-1)
    },
    getDevice(id) {
      console.log(id)
      equipmentManage.deviceDetailsInfo(id, (res) => {
        this.deviceData = res // 设备详情
        console.log(this.deviceData, '设备详情')
      })
    },
    getRealtimeData() {
      let params = {
        url: `${this.protal}/device/data/query?id=` + this.deviceId,
        data: this.queryParam,
        method: 'post'
      }
      req.request(params).then((res) => {
        if (res.data.state && res.data.value) {
          this.realtimeData = res.data.value.data.rows
          console.log(this.realtimeData)
          this.type = res.data.value.productType
          if (this.type == 'jwwxyjc') {
            this.formatUnit()
          }
          this.hasData = true
        } else {
          this.hasData = false
        }
      })
    },
    formatUnit() {
      let tempData = this.realtimeData[0]
      let unitData = tempData['paramsValueList'].filter(
        (item) => item.confId == '1715250365881917440'
      )[0]
      if (unitData) {
        this.deviceUnit_ = unitData.value.split('-')[1]
      }
    }
  }
}
</script>

<style lang="scss" scoped>
@import '@/assets/css/element-variables.scss';

.mobile-container {
  position: fixed;
  top: 0;
  z-index: 100;
  width: 100%;
  min-height: 100%;
  background-color: #f9f9f9 !important;
  // background-color: $--mobile-bg;
}

.device-content {
  // padding: 50px 0px 50px 0px;
  // height: 400px;
  font-size: 50px;

  p {
    color: #929494;
    margin: 10px 0 10px 0;
  }
}

.group-data {
  padding: 50px;
  height: 70%;
  overflow-y: scroll;
}

.cell-group {
  padding: 50px;
}

.device-group {
  padding: 60px;
  margin-top: 16px !important;
}

.group-title {
  padding: 20px 16px 10px 16px;
}

.title-bar {
  display: inline-block;
  width: 4px;
  height: 12px;
  background-color: #1989fa;
  margin-right: 4px;
  vertical-align: middle;
}

.device-cell {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 6px 0;
}

.device-name {
  font-size: 88px;
  color: $--mobile-text-main;
}

.cell-title {
  color: $--mobile-text-sub;
  font-size: 82px;
  margin-right: 10px;
}

.cell-value {
  color: $--mobile-text-main;
  font-size: 82px;
}

.margin-bottom {
  margin-bottom: 16px !important;
}

.realtime-unit {
  color: $--mobile-text-sub;
  margin-left: 10px;
  font-size: 78px;
}

.realtime-value {
  color: $--mobile-text-main;
  font-size: 82px;
}

.realtime-value-content {
  text-align: center;
}

.realtime-title {
  color: $--mobile-text-sub;
  margin-bottom: 6px;
  font-size: 82px;
}

.grid-container {
  margin: 16px 0;
}

.device-status .van-tag {
  padding: 4px 6px;
  font-size: 72px;
}

.van-cell-group--inset {
  margin: 0 0;
  border-radius: 50px;
}
</style>
<style lang="scss">
@import '@/assets/css/vant-custom.scss';
</style>
